IntlChar::forDigit
IntlChar::getBlockCode
IntlChar
PHP Manual

# IntlChar::getBidiPairedBracket

(PHP 7)

IntlChar::getBidiPairedBracket — Get the paired bracket character for a code point

### Description

public static mixed IntlChar::getBidiPairedBracket ( mixed `$codepoint` )

Maps the specified character to its paired bracket character.

For Bidi_Paired_Bracket_Type!=None, this is the same as IntlChar::charMirror(). Otherwise `codepoint` itself is returned.

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns the paired bracket code point, or `codepoint` itself if there is no such mapping.

The return type will be integer unless the code point was passed as a UTF-8 string, in which case a string will be returned.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::getBidiPairedBracket(91));
var_dump(IntlChar::getBidiPairedBracket('['));
?>`

The above example will output:

    int(93)
    string(1) "]"

### See Also

- IntlChar::charMirror() - Get the "mirror-image" character for a code point
- `IntlChar::PROPERTY_BIDI_PAIRED_BRACKET`
- `IntlChar::PROPERTY_BIDI_PAIRED_BRACKET_TYPE`

IntlChar::forDigit
IntlChar::getBlockCode
IntlChar
PHP Manual